Package org.apache.commons.lang3

## Interface Functions.FailableBiFunction<O1,​O2,​R,​T extends java.lang.Throwable>

Type Parameters:
  `O1` - Input type 1.
  `O2` - Input type 2.
  `R` - Return type.
  `T` - Thrown exception.

Enclosing class:
  Functions

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @Deprecated
    @FunctionalInterface
    public static interface Functions.FailableBiFunction<O1,​O2,​R,​T extends java.lang.Throwable>

Deprecated.
Use `FailableBiFunction`.
A functional interface like `BiFunction` that declares a `Throwable`.

TODO for 4.0: Move to org.apache.commons.lang3.function.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`R` `apply​(O1 input1, O2 input2)` Deprecated. Applies this function.

### Method Detail

#### apply

    R apply​(O1 input1,
            O2 input2)
     throws T extends java.lang.Throwable

Deprecated.
Applies this function.

Parameters:
  `input1` - the first input for the function
  `input2` - the second input for the function
Returns:
  the result of the function
Throws:
  `T` - Thrown when the function fails.
  `T extends java.lang.Throwable`